List Phone Numbers
curl --request GET \
--url https://api.trillet.ai/v1/api/twilio/user-phone-numbers \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.trillet.ai/v1/api/twilio/user-phone-numbers"
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-workspace-id': '<x-workspace-id>'}
};
fetch('https://api.trillet.ai/v1/api/twilio/user-phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"phoneNumbers": [
{
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"phoneNumber": "+14155551234",
"provider": "twilio",
"country": "US",
"type": "local",
"status": "active",
"workspaceId": "664a1b2c3d4e5f6a7b8c9d0e",
"label": "Sales Line"
}
]
}
Telephony
List Phone Numbers
Retrieve all phone numbers associated with your workspace.
GET
/
v1
/
api
/
twilio
/
user-phone-numbers
List Phone Numbers
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Response Fields
array
Array of phone number objects.
string
Unique identifier for the phone number record.
string
The phone number in E.164 format (e.g., +14155551234).
string
The telephony provider (e.g., “twilio”, “sip”).
string
Country code of the phone number (e.g., “US”, “AU”).
string
Type of phone number (e.g., “local”, “tollFree”, “mobile”).
string
Current status of the phone number.
string
Workspace ID associated with the phone number.
string
Optional label for the phone number.
{
"phoneNumbers": [
{
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"phoneNumber": "+14155551234",
"provider": "twilio",
"country": "US",
"type": "local",
"status": "active",
"workspaceId": "664a1b2c3d4e5f6a7b8c9d0e",
"label": "Sales Line"
}
]
}
⌘I
